# Typescript SDK

## Getting started

Install Ferra CLMM SDK: `npm install @ferra-labs/clmm`&#x20;

Optional: `npm install @mysten/sui`

The Ferra CLMM npm package is located here: [https://npmjs.com/package/@ferra-labs/clmm](https://www.npmjs.com/package/@ferra-labs/clmm)

Initialize the Ferra CLMM SDK with default values using the Sui mainnet RPC

```javascript
// Initilize CLMM instance
import { clmmMainnet, initFerraSDK }  from "@ferra-labs/clmm"

const useFerraSDK = (address: string) => {
  return useMemo(
    () =>
      initFerraSDK({
        ...clmmMainnet,
        network: 'beta' // can be 'mainnet' or 'testnet', 'beta',
        fullNodeUrl: 'YOUR_PRC_FULL_NODE',
        wallet: 'YOUR_WALLET_ADDRES',
      }),
    [address]
  );
};
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ferra.ag/integration/clmm/typescript-sdk.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
